Summary: Advanced Update System
Name: aus
Version: 0.2
Release: 1
URL: https://git.tilab.tuwien.ac.at/sw/aus
Source: %{name}-%{version}.tar.xz
License: GPL
Group: Applications/System

Requires: rpm rpm-libs
Requires: wget
Requires: lftp
Requires: yum

BuildRequires: ocaml >= 4.04.1
BuildRequires: ocaml-findlib
BuildRequires: opam-installer >= 2.0
BuildRequires: ocaml-dune
BuildRequires: ocaml-rpm

%description
The successor of SUS, the simple update system.
AUS is a frontend to rpm, apt and yum. It cares about installing
and updating packages to systems by loading the list of required
packages from some server location.
AUS runs at system boot time and during night as cron job.

%package groupconv-helpers
Summary: AUS comps.xml to group converter helpers

%description groupconv-helpers
Scripts that convert comps.xml files found in Fedora/CentOS install
DVD to AUS style group files.

%prep
%setup -q

%build 
dune build -p aus

%install 
opam-installer \
    --prefix=%{buildroot}/%{_prefix} \
    --libdir=%{buildroot}/%{_libdir}/ocaml \
    aus.install

# fixme: we do not want to be installed as ocaml package
rm -rf "%{buildroot}%{_libdir}/ocaml"

mkdir -p "%{buildroot}%{_unitdir}"
cp aus.service "%{buildroot}%{_unitdir}"

mkdir -p "%{buildroot}%{_sysconfdir}/cron.daily"
cp auscron "%{buildroot}%{_sysconfdir}/cron.daily/aus"

mkdir -p "%{buildroot}%{_bindir}"
cp compsxml2groups/* "%{buildroot}%{_bindir}/."

%clean
rm -rf $RPM_BUILD_ROOT

%post
mkdir -p /var/cache/aus

%postun
if (( $1 == 0 ))
then
	rm -rf /var/cache/aus
fi

%files
%defattr(-,root,root)
%doc doc/*
%attr(700,root,root) %{_sbindir}/aus
%attr(644,root,root) %{_unitdir}/aus.service
%attr(644,root,root) %{_sysconfdir}/cron.daily/aus

%files groupconv-helpers
%attr(755,root,root) %{_bindir}/compsxml2groups-*
